--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Checks if the resource has unsaved changes
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: " true if resource may be persisted\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Resource#dirty?
is_singleton: false
name: dirty?
params: ()
visibility: public
